<!DOCTYPE html>
<html>
  <head>
    <title>Augmentation Tool - Transformer Aging Predictor</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe"
      crossorigin="anonymous"
    ></script>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css"
    />
    <script src="gui.js"></script>
    <link rel="stylesheet" href="gui.css" />
  </head>

  <body>
    <!--
    <h1>Hello World APP GUI</h1>
    
    <input id="text" type="text"/>
    <button id="send">Invia</button>
    <div>
      <h1 id="result"></h1>
    </div>
    <form id="upload_file" action="/upload-file" method="post" enctype="multipart/form-data">
      <label for="file">File</label>
      <input id="file" name="file" type="file" />
      <button>Upload</button>
    </form>
    <input type="file" id="fileInput">
    <button id="uploadButton">upload</button>

    <div class="container text-center">
      <div class="row">
        <div class="col">
          <h1>LSP3 - Predictive Trasformers Aging</h1>
        </div>
      </div>
    </div>
    -->

    <nav class="navbar bg-body-tertiary">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">
          <img
            src="imgs/logo.png"
            alt="Logo"
            width="50"
            height="50"
            class="d-inline-block align-text-top"
          />
          <span>Augmentation Tool - Transformer Aging Predictor</span>
        </a>
      </div>
    </nav>

    <div class="container text-center">
      <div class="row">
        <div class="col">
          <div class="card">
            <h5 class="card-header">
              Augment data using statistical techniques
            </h5>
            <div class="card-body">
              <form>
                <div class="row form-row">
                  <div class="col-md-4 mb-3">
                    <label for="days">days</label>
                    <input
                      type="number"
                      class="form-control"
                      id="days"
                      placeholder="days"
                      required
                    />
                  </div>
                  <div class="col-md-4 mb-3">
                    <label for="minutes_interval">minutes interval</label>
                    <input
                      type="number"
                      class="form-control"
                      id="minutes_interval"
                      placeholder="minutes interval"
                      required
                    />
                  </div>
                  <div class="col-md-4 mb-3">
                    <label for="probability">probability</label>
                    <input
                      type="number"
                      class="form-control"
                      id="probability"
                      placeholder="probability"
                      required
                    />
                  </div>
                </div>
                <div class="form-row">
                  <input
                    class="form-control"
                    type="file"
                    id="fileInput_audio"
                  />
                  <hr />
                  <button
                    id="uploadButton_audio"
                    type="button"
                    class="btn btn-primary"
                  >
                    Upload File
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <div id="spinner" class="d-flex justify-content-center">
        <div
          class="spinner-border text-primary"
          style="width: 3rem; height: 3rem; display: none"
          role="status"
        ></div>
      </div>
    </div>
  </body>
</html>
